#grid-holder {
    display: grid;
    width: 100%;
    overflow: scroll;
    flex: 4;
}

#grid {
    display: grid;
}

#grid-corner-blocker {
    position: sticky;
    position: -webkit-sticky;
    top: 0px;
    left: 0px;
    z-index: 3;
    background-color: white;
    box-sizing: border-box;
}

.patch-grid-cell {
    border: 1px solid black;
    position: relative;
}

.patch-grid-cell-clickable {
    border: thin solid rgba(50,50,50,.15);
    height: 20px;
    width: 20px;
    background-color: white;
}

.patch-grid-cell-queued {
    background-color: #f4b342;
}

.patch-grid-cell-connected {
    background-color: #5ca050;
}

.patch-grid-cell-clickable:hover {
    filter: opacity(0.5) drop-shadow(0 0 0 blue);
}

.patch-grid-cell-header {
    white-space: nowrap;
}

.patch-grid-cell-header-inuse {
    filter: brightness(75%)
}

#interfaces-list {
    position: sticky;
    position: -webkit-sticky;
    top: 0px;
    z-index: 2;
    background-color: white;
    box-sizing: border-box;
}

.interface-header-container {
    display: flex;
    flex-direction: row;
    height: 150px;
    width: 20px;
    float: left;
    writing-mode: vertical-lr;
    transform: rotate(180deg);
    padding-top: 10px;
    position: sticky;
    position: -webkit-sticky;
    top: 0;
    box-sizing: border-box;
    border-top: 0.5px solid grey;
}

.interface-header-name {
    background-color: #ccc;
    border: 0.5px solid rgba(50,50,50,.1);
    height: 50px;
    padding-top: 5px;
    box-sizing: border-box;
}

.interface-header-name-channel-count {
    height: 75px;
    padding-top: 5px;
    box-sizing: border-box;
}

#streams-list {
    overflow-y: overlay;
    overflow-x: hidden;
    direction: rtl;
    position: sticky;
    position: -webkit-sticky;
    left: 0px;
    z-index: 1;
    background-color: white;
    box-sizing: border-box;
}

.stream-header-container {
    height: 20px;
    display: flex;
    flex-direction: row;
    justify-content: left;
    direction: ltr;
    padding-left:  10px;
    box-sizing: border-box;
    border-right: 0.5px solid grey;
}

.stream-header {
    vertical-align: middle;
    height: 100%;
    line-height: 20px;
    font-weight: bold;
    color: #676a6c;
    overflow: hidden;
}

.stream-header-name {
    background-color: #ccc;
    width: 300px;
    border: 0.5px solid rgba(50,50,50,.1);
    padding-left: 10px;
}

.stream-header-channel-count {
    width: 100px;
    padding-left: 5px;
}

#patch-container {
    display: flex;
    height: 85vh;
}

#patch-divider {
    padding: 1em;
    background-image: linear-gradient(#000, #000);
    background-size: 0.5px 100%;
    background-repeat: no-repeat;
    background-position: center center;
}

#patch-queue {
    flex-basis: 12em;
    flex: 1;
    height: 100%;
    overflow-y: hidden;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
}

#patch-queue-list {
    overflow-y: scroll;
    word-wrap: break-word;
    box-sizing: border-box;
    flex-grow: 1;
}

#patch-queue-footer {
    box-sizing: border-box;
    flex-shrink: 1;
    padding: 1em 1.5em;
    display: flex;
    justify-content: center;
}
